Package ru.bitel.bgbilling.kernel.module.common.bean

# Class Service

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.module.common.bean.Service

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class Service
    extends IdTitle

Услуга по наработкам в договоре.

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Service()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.Object` | `clone()` |
  `Service` | `copy()` |
  `Period` | `getActivePeriod()` |
  `java.lang.String` | `getConfig()` |
  `Preferences` | `getConfigPreferences()` | только для чтения параметров конфигурации
  `int` | `getModuleId()` |
  `int` | `getUnit()` |
  `boolean` | `isUsing()` |
  `void` | `setActivePeriod​(Period activePeriod)` |
  `void` | `setConfig​(java.lang.String config)` |
  `void` | `setModuleId​(int moduleId)` |
  `void` | `setUnit​(int unit)` |
  `void` | `setUsing​(boolean used)` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### Service

    public Service()

- ## Method Details

  - ### getModuleId

    public int getModuleId()

  - ### setModuleId

    public void setModuleId​(int moduleId)

  - ### isUsing

    public boolean isUsing()

  - ### setUsing

    public void setUsing​(boolean used)

  - ### getUnit

    public int getUnit()

  - ### setUnit

    public void setUnit​(int unit)

  - ### getConfig

    public java.lang.String getConfig()

  - ### setConfig

    public void setConfig​(java.lang.String config)

  - ### getConfigPreferences

    public Preferences getConfigPreferences()
    только для чтения параметров конфигурации
    Returns:

  - ### getActivePeriod

    public Period getActivePeriod()

  - ### setActivePeriod

    public void setActivePeriod​(Period activePeriod)

  - ### clone

    public java.lang.Object clone()
    Overrides:
      `clone` in class `java.lang.Object`

  - ### copy

    public Service copy()